Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.eclipse.gemini.blueprint.service.importer.support
Enum ImportContextClassLoaderEnum

    java.lang.Object
      java.lang.Enum<ImportContextClassLoaderEnum>
          org.eclipse.gemini.blueprint.service.importer.support.ImportContextClassLoaderEnum

All Implemented Interfaces:
  Serializable, Comparable<ImportContextClassLoaderEnum>

    public enum ImportContextClassLoaderEnum

extends Enum<ImportContextClassLoaderEnum>

Enum describing the possible thread context class loader (tccl) options for imported OSGi services. If managed, the tccl will be set to the appropriate class loader, on each service call for the duration of the invocation. Used by `OsgiServiceProxyFactoryBean` and `OsgiServiceCollectionProxyFactoryBean` for imported services that depend on a certain tccl to be set.

Author:
  Costin Leau
See Also:
  `ExportContextClassLoaderEnum`

Enum Constant Summary
`CLIENT` The tccl will be set to that of the client upon service invocation
`SERVICE_PROVIDER` The tccl will be set to that of the service provider upon service invocation
`UNMANAGED` The tccl will not be managed

Method Summary
`static ImportContextClassLoaderEnum` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static ImportContextClassLoaderEnum[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### UNMANAGED

    public static final ImportContextClassLoaderEnum UNMANAGED

  The tccl will not be managed

### SERVICE_PROVIDER

    public static final ImportContextClassLoaderEnum SERVICE_PROVIDER

  The tccl will be set to that of the service provider upon service invocation

### CLIENT

    public static final ImportContextClassLoaderEnum CLIENT

  The tccl will be set to that of the client upon service invocation

Method Detail

### values

    public static final ImportContextClassLoaderEnum[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(ImportContextClassLoaderEnum c : ImportContextClassLoaderEnum.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static ImportContextClassLoaderEnum valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2006-2010 Spring Framework. All Rights Reserved.